diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-parameters.h ns-3.44/src/wifi/model/wifi-tx-parameters.h
--- ns-3.43/src/wifi/model/wifi-tx-parameters.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-parameters.h	2025-03-09 16:55:49.803372600 -0700
@@ -27,7 +27,7 @@
 struct WifiAcknowledgment;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This class stores the TX parameters (TX vector, protection mechanism,
  * acknowledgment mechanism, TX duration, ...) for a frame of different types
@@ -40,28 +40,28 @@
     /**
      * Copy constructor.
      *
-     * \param txParams the WifiTxParameters to copy
+     * @param txParams the WifiTxParameters to copy
      */
     WifiTxParameters(const WifiTxParameters& txParams);
 
     /**
      * Copy assignment operator.
-     * \param txParams the TX parameters to assign to this object
-     * \return the reference to this object
+     * @param txParams the TX parameters to assign to this object
+     * @return the reference to this object
      */
     WifiTxParameters& operator=(const WifiTxParameters& txParams);
 
     /**
      * Move constructor. Must define it manually because copy constructor is explicit.
-     * \param txParams the WifiTxParameters to copy
+     * @param txParams the WifiTxParameters to copy
      */
     WifiTxParameters(WifiTxParameters&& txParams) = default;
 
     /**
      * Move assignment operator. Must define it manually because copy assignment
      * operator is explicit.
-     * \param txParams the TX parameters to assign to this object
-     * \return the reference to this object
+     * @param txParams the TX parameters to assign to this object
+     * @return the reference to this object
      */
     WifiTxParameters& operator=(WifiTxParameters&& txParams) = default;
 
@@ -80,7 +80,7 @@
      * to the same receiver already exists in the frame, A-MPDU aggregation is considered.
      * Store information needed to "undo" the addition of the MPDU by calling UndoAddMpdu().
      *
-     * \param mpdu the MPDU being added
+     * @param mpdu the MPDU being added
      */
     void AddMpdu(Ptr<const WifiMpdu> mpdu);
 
@@ -93,8 +93,8 @@
      * Check if the last added MPDU is the first MPDU for the given receiver.
      * Call this method only after adding an MPDU for the given receiver.
      *
-     * \param receiver the MAC address of the given receiver
-     * \return whether the last added MPDU is the first MPDU for the given receiver
+     * @param receiver the MAC address of the given receiver
+     * @return whether the last added MPDU is the first MPDU for the given receiver
      */
     bool LastAddedIsFirstMpdu(Mac48Address receiver) const;
 
@@ -102,31 +102,31 @@
      * Record that an MSDU is being aggregated to the last MPDU added to the frame
      * that hase the same receiver.
      *
-     * \param msdu the MSDU being aggregated
+     * @param msdu the MSDU being aggregated
      */
     void AggregateMsdu(Ptr<const WifiMpdu> msdu);
 
     /**
      * Get the size in bytes of the frame in case the given MPDU is added.
      *
-     * \param mpdu the given MPDU
-     * \return the size in bytes of the frame in case the given MPDU is added
+     * @param mpdu the given MPDU
+     * @return the size in bytes of the frame in case the given MPDU is added
      */
     uint32_t GetSizeIfAddMpdu(Ptr<const WifiMpdu> mpdu) const;
 
     /**
      * Get the size in bytes of the frame in case the given MSDU is aggregated.
      *
-     * \param msdu the given MSDU
-     * \return size in bytes of the frame in case the given MSDU is aggregated
+     * @param msdu the given MSDU
+     * @return size in bytes of the frame in case the given MSDU is aggregated
      */
     uint32_t GetSizeIfAggregateMsdu(Ptr<const WifiMpdu> msdu) const;
 
     /**
      * Get the size in bytes of the (A-)MPDU addressed to the given receiver.
      *
-     * \param receiver the MAC address of the given receiver
-     * \return the size in bytes of the (A-)MPDU addressed to the given receiver
+     * @param receiver the MAC address of the given receiver
+     * @return the size in bytes of the (A-)MPDU addressed to the given receiver
      */
     uint32_t GetSize(Mac48Address receiver) const;
 
@@ -146,8 +146,8 @@
      * Get a pointer to the information about the PSDU addressed to the given
      * receiver, if present, and a null pointer otherwise.
      *
-     * \param receiver the MAC address of the receiver
-     * \return a pointer to an entry in the PSDU information map or a null pointer
+     * @param receiver the MAC address of the receiver
+     * @return a pointer to an entry in the PSDU information map or a null pointer
      */
     const PsduInfo* GetPsduInfo(Mac48Address receiver) const;
 
@@ -157,13 +157,13 @@
     /**
      * Get a const reference to the map containing information about PSDUs.
      *
-     * \return a const reference to the map containing information about PSDUs
+     * @return a const reference to the map containing information about PSDUs
      */
     const PsduInfoMap& GetPsduInfoMap() const;
 
     /**
-     * \brief Print the object contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the object contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const;
 
@@ -177,11 +177,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the output stream
- * \param txParams the TX parameters
- * \returns a reference to the stream
+ * @param os the output stream
+ * @param txParams the TX parameters
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const WifiTxParameters* txParams);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-timer.cc ns-3.44/src/wifi/model/wifi-tx-timer.cc
--- ns-3.43/src/wifi/model/wifi-tx-timer.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-timer.cc	2025-03-09 16:55:49.803372600 -0700
@@ -23,7 +23,7 @@
     : m_timeoutEvent(),
       m_reason(NOT_RUNNING),
       m_impl(nullptr),
-      m_end(Seconds(0))
+      m_end()
 {
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-timer.h ns-3.44/src/wifi/model/wifi-tx-timer.h
--- ns-3.43/src/wifi/model/wifi-tx-timer.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-timer.h	2025-03-09 16:55:49.803372600 -0700
@@ -28,7 +28,7 @@
 typedef std::unordered_map<uint16_t /* staId */, Ptr<WifiPsdu> /* PSDU */> WifiPsduMap;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This class is used to handle the timer that a station starts when transmitting
  * a frame that solicits a response. The timeout can be rescheduled (multiple times)
@@ -38,8 +38,8 @@
 {
   public:
     /**
-     * \enum Reason
-     * \brief The reason why the timer was started
+     * @enum Reason
+     * @brief The reason why the timer was started
      */
     enum Reason : uint8_t
     {
@@ -65,15 +65,15 @@
      * This method starts a timer of the given duration and schedules a call to
      * the given method in case the timer expires.
      *
-     * \tparam MEM \deduced Class method function signature type
-     * \tparam OBJ \deduced Class type of the object
-     * \tparam Args \deduced Type template parameter pack
-     * \param reason the reason why the timer was started
-     * \param delay the time to the expiration of the timer
-     * \param from the set of stations we expect to receive a response from
-     * \param mem_ptr Member method pointer to invoke
-     * \param obj The object on which to invoke the member method
-     * \param args The arguments to pass to the invoked method
+     * @tparam MEM \deduced Class method function signature type
+     * @tparam OBJ \deduced Class type of the object
+     * @tparam Args \deduced Type template parameter pack
+     * @param reason the reason why the timer was started
+     * @param delay the time to the expiration of the timer
+     * @param from the set of stations we expect to receive a response from
+     * @param mem_ptr Member method pointer to invoke
+     * @param obj The object on which to invoke the member method
+     * @param args The arguments to pass to the invoked method
      */
     template <typename MEM, typename OBJ, typename... Args>
     void Set(Reason reason,
@@ -87,7 +87,7 @@
      * Reschedule the timer to time out the given amount of time from the moment
      * this function is called. Note that nothing is done if the timer is not running.
      *
-     * \param delay the time to the expiration of the timer
+     * @param delay the time to the expiration of the timer
      */
     void Reschedule(const Time& delay);
 
@@ -95,22 +95,22 @@
      * Get the reason why the timer was started. Call
      * this method only if the timer is running
      *
-     * \return the reason why the timer was started
+     * @return the reason why the timer was started
      */
     Reason GetReason() const;
 
     /**
      * Get a string associated with the given reason
      *
-     * \param reason the given reason
-     * \return a string associated with the given reason
+     * @param reason the given reason
+     * @return a string associated with the given reason
      */
     std::string GetReasonString(Reason reason) const;
 
     /**
      * Return true if the timer is running
      *
-     * \return true if the timer is running
+     * @return true if the timer is running
      */
     bool IsRunning() const;
 
@@ -122,19 +122,19 @@
     /**
      * Notify that a response was got from the given station.
      *
-     * \param from the MAC address of the given station
+     * @param from the MAC address of the given station
      */
     void GotResponseFrom(const Mac48Address& from);
 
     /**
-     * \return the set of stations that are still expected to respond
+     * @return the set of stations that are still expected to respond
      */
     const std::set<Mac48Address>& GetStasExpectedToRespond() const;
 
     /**
      * Get the remaining time until the timer will expire.
      *
-     * \return the remaining time until the timer will expire.
+     * @return the remaining time until the timer will expire.
      *         If the timer is not running, this method returns zero.
      */
     Time GetDelayLeft() const;
@@ -158,7 +158,7 @@
     /**
      * Set the callback to invoke when the TX timer following the transmission of an MPDU expires.
      *
-     * \param callback the callback to invoke when the TX timer following the transmission
+     * @param callback the callback to invoke when the TX timer following the transmission
      *                 of an MPDU expires
      */
     void SetMpduResponseTimeoutCallback(MpduResponseTimeout callback) const;
@@ -166,7 +166,7 @@
     /**
      * Set the callback to invoke when the TX timer following the transmission of a PSDU expires.
      *
-     * \param callback the callback to invoke when the TX timer following the transmission
+     * @param callback the callback to invoke when the TX timer following the transmission
      *                 of a PSDU expires
      */
     void SetPsduResponseTimeoutCallback(PsduResponseTimeout callback) const;
@@ -175,7 +175,7 @@
      * Set the callback to invoke when the TX timer following the transmission of a PSDU map
      * expires.
      *
-     * \param callback the callback to invoke when the TX timer following the transmission
+     * @param callback the callback to invoke when the TX timer following the transmission
      *                 of a PSDU map expires
      */
     void SetPsduMapResponseTimeoutCallback(PsduMapResponseTimeout callback) const;
@@ -185,12 +185,12 @@
      * This method is called when the timer expires. It invokes the callbacks
      * and the method set by the user.
      *
-     * \tparam MEM \deduced Class method function signature type
-     * \tparam OBJ \deduced Class type of the object
-     * \tparam Args \deduced Type template parameter pack
-     * \param mem_ptr Member method pointer to invoke
-     * \param obj The object on which to invoke the member method
-     * \param args The arguments to pass to the invoked method
+     * @tparam MEM \deduced Class method function signature type
+     * @tparam OBJ \deduced Class type of the object
+     * @tparam Args \deduced Type template parameter pack
+     * @param mem_ptr Member method pointer to invoke
+     * @param obj The object on which to invoke the member method
+     * @param args The arguments to pass to the invoked method
      */
     template <typename MEM, typename OBJ, typename... Args>
     void Timeout(MEM mem_ptr, OBJ obj, Args... args);
@@ -204,8 +204,8 @@
      * This method is called when the timer expires to feed the MPDU response
      * timeout callback.
      *
-     * \param item the MPDU followed by no response
-     * \param txVector the TXVECTOR used to transmit the MPDU
+     * @param item the MPDU followed by no response
+     * @param txVector the TXVECTOR used to transmit the MPDU
      */
     void FeedTraceSource(Ptr<WifiMpdu> item, WifiTxVector txVector);
 
@@ -213,8 +213,8 @@
      * This method is called when the timer expires to feed the PSDU response
      * timeout callback.
      *
-     * \param psdu the PSDU followed by no response
-     * \param txVector the TXVECTOR used to transmit the PSDU
+     * @param psdu the PSDU followed by no response
+     * @param txVector the TXVECTOR used to transmit the PSDU
      */
     void FeedTraceSource(Ptr<WifiPsdu> psdu, WifiTxVector txVector);
 
@@ -222,8 +222,8 @@
      * This method is called when the timer expires to feed the PSDU map response
      * timeout callback.
      *
-     * \param psduMap the PSDU map for which not all responses were received
-     * \param nTotalStations the total number of expected responses
+     * @param psduMap the PSDU map for which not all responses were received
+     * @param nTotalStations the total number of expected responses
      */
     void FeedTraceSource(WifiPsduMap* psduMap, std::size_t nTotalStations);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-tx-vector.cc ns-3.44/src/wifi/model/wifi-tx-vector.cc
--- ns-3.43/src/wifi/model/wifi-tx-vector.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-tx-vector.cc	2025-03-09 16:55:49.803372600 -0700
@@ -10,6 +10,7 @@
 #include "wifi-tx-vector.h"
 
 #include "wifi-phy-common.h"
+#include "wifi-utils.h"
 
 #include "ns3/abort.h"
 #include "ns3/eht-phy.h"
@@ -25,7 +26,7 @@
 WifiTxVector::WifiTxVector()
     : m_txPowerLevel(1),
       m_preamble(WIFI_PREAMBLE_LONG),
-      m_channelWidth(20),
+      m_channelWidth(MHz_u{20}),
       m_guardInterval(NanoSeconds(800)),
       m_nTx(1),
       m_nss(1),
@@ -266,7 +267,7 @@
 bool
 WifiTxVector::IsNonHtDuplicate() const
 {
-    return ((m_channelWidth >= 40) && !IsMu() && (GetModulationClass() < WIFI_MOD_CLASS_HT));
+    return ((m_channelWidth >= MHz_u{40}) && !IsMu() && (GetModulationClass() < WIFI_MOD_CLASS_HT));
 }
 
 void
@@ -442,7 +443,7 @@
         return false;
     }
     const auto& modeName = m_mode.GetUniqueName();
-    if (m_channelWidth == 20)
+    if (m_channelWidth == MHz_u{20})
     {
         if (m_nss != 3 && m_nss != 6)
         {
@@ -452,7 +453,7 @@
             }
         }
     }
-    else if (m_channelWidth == 80)
+    else if (m_channelWidth == MHz_u{80})
     {
         if (m_nss == 3 || m_nss == 7)
         {
@@ -469,7 +470,7 @@
             }
         }
     }
-    else if (m_channelWidth == 160)
+    else if (m_channelWidth == MHz_u{160})
     {
         if (m_nss == 3)
         {
@@ -657,11 +658,10 @@
     NS_ABORT_MSG_IF(m_preamble < WIFI_PREAMBLE_HE_SU,
                     "Only HE (or later) authorized for preamble puncturing");
     NS_ABORT_MSG_IF(
-        m_channelWidth < 80,
+        m_channelWidth < MHz_u{80},
         "Preamble puncturing only possible for transmission bandwidth of 80 MHz or larger");
-    [[maybe_unused]] const std::size_t num20MhzSubchannels = m_channelWidth / 20;
     NS_ABORT_MSG_IF(!inactiveSubchannels.empty() &&
-                        inactiveSubchannels.size() != num20MhzSubchannels,
+                        inactiveSubchannels.size() != Count20MHzSubchannels(m_channelWidth),
                     "The size of the inactive subchannnels bitmap should be equal to the number of "
                     "20 MHz subchannels");
     m_inactiveSubchannels = inactiveSubchannels;
@@ -686,7 +686,7 @@
 std::optional<Center26ToneRuIndication>
 WifiTxVector::GetCenter26ToneRuIndication() const
 {
-    if (!IsDlMu() || (m_channelWidth < 80))
+    if (!IsDlMu() || (m_channelWidth < MHz_u{80}))
     {
         return std::nullopt;
     }
@@ -786,7 +786,7 @@
 RuAllocation
 WifiTxVector::DeriveRuAllocation(uint8_t p20Index) const
 {
-    RuAllocation ruAllocations(m_channelWidth / 20, HeRu::EMPTY_242_TONE_RU);
+    RuAllocation ruAllocations(Count20MHzSubchannels(m_channelWidth), HeRu::EMPTY_242_TONE_RU);
     std::vector<HeRu::RuType> ruTypes{};
     ruTypes.resize(ruAllocations.size());
     const auto& orderedMap = GetUserInfoMapOrderedByRus(p20Index);
@@ -795,9 +795,10 @@
         const auto ruType = ru.GetRuType();
         const auto ruBw = HeRu::GetBandwidth(ruType);
         const auto isPrimary80MHz = ru.GetPrimary80MHz();
-        const auto rusPerSubchannel = HeRu::GetRusOfType(ruBw > 20 ? ruBw : 20, ruType);
+        const auto rusPerSubchannel =
+            HeRu::GetRusOfType(ruBw > MHz_u{20} ? ruBw : MHz_u{20}, ruType);
         auto ruIndex = ru.GetIndex();
-        if ((m_channelWidth >= 80) && (ruIndex > 19))
+        if ((m_channelWidth >= MHz_u{80}) && (ruIndex > 19))
         {
             // take into account the center 26-tone RU in the primary 80 MHz
             ruIndex--;
@@ -809,17 +810,16 @@
         }
         if (!isPrimary80MHz && (ruType != HeRu::RU_2x996_TONE))
         {
-            NS_ASSERT(m_channelWidth > 80);
+            NS_ASSERT(m_channelWidth > MHz_u{80});
             // adjust RU index for the secondary 80 MHz: in that case index is restarting at 1,
             // hence we need to add an offset corresponding to the number of RUs of the same type in
             // the primary 80 MHz
-            ruIndex += HeRu::GetRusOfType(80, ruType).size();
+            ruIndex += HeRu::GetRusOfType(MHz_u{80}, ruType).size();
         }
-        const auto index =
-            (ruBw < 20) ? ((ruIndex - 1) / rusPerSubchannel.size()) : ((ruIndex - 1) * (ruBw / 20));
-        const auto numSubchannelsForRu = (ruBw < 20) ? 1 : (ruBw / 20);
-        [[maybe_unused]] const std::size_t num20MhzSubchannels = m_channelWidth / 20;
-        NS_ABORT_IF(index >= num20MhzSubchannels);
+        const auto numSubchannelsForRu = (ruBw < MHz_u{20}) ? 1 : Count20MHzSubchannels(ruBw);
+        const auto index = (ruBw < MHz_u{20}) ? ((ruIndex - 1) / rusPerSubchannel.size())
+                                              : ((ruIndex - 1) * numSubchannelsForRu);
+        NS_ABORT_IF(index >= Count20MHzSubchannels(m_channelWidth));
         auto ruAlloc = HeRu::GetEqualizedRuAllocation(ruType, false);
         if (ruAllocations.at(index) != HeRu::EMPTY_242_TONE_RU)
         {
@@ -840,7 +840,7 @@
                 NS_ASSERT_MSG(false, "unsupported RU combination");
             }
         }
-        for (auto i = 0; i < numSubchannelsForRu; ++i)
+        for (std::size_t i = 0; i < numSubchannelsForRu; ++i)
         {
             ruTypes.at(index + i) = ruType;
             ruAllocations.at(index + i) = ruAlloc;
